petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscOptionsGetViewerOff

does PetscOptionsGetViewer return a viewer?

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscOptionsGetViewerOff(PetscBool *flg)

Logically Collective

### Output Parameter

flg -whether viewers are returned.

### Notes

Calling XXXViewFromOptions in an inner loop can be very expensive. This can appear, for example, when using many small subsolves.

### See Also

PetscOptionsGetViewer(), PetscOptionsPushGetViewerOff(), PetscOptionsPopGetViewerOff()

### Level

developer

### Location

src/sys/classes/viewer/interface/viewreg.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages